Subject: Re: bug#67141: 30.0.50; Missing element in the backtrace

From: Stefan Monnier <[email-masked]>
Date: Fri, 17 Nov 2023 14:01:41 -0500

>> mmmh, my crystal ball suggests that some (native compiled) code is
>> calling directly a primitive (eval) without going through funcall, as a
>> consequence no backtrace is recorded.  AFAIR that's what happen with
>> byte compiled code with primitves with assigned (byte)op-code as well.
>
> PS and indeed similarly what happen calling a primitive from other C
> code.

But C code can choose whether it calls `F<foo>` directly or goes through
`Ffuncall`, whereas for ELisp code there is no such control.
It impacts debugging and profiling, in my experience.

        Stefan